// Imports
import express from "express";

// Routes
import vitals from "../routes/vitals-route.js";
import authRoute from "../routes/auth-route.js";
import systemRoute from "../routes/system-route.js";
import serverRoute from "../routes/server-route.js";
import filesRoute from "../routes/files-route.js";
import reactRoute from "../routes/react-route.js";
import {
  logErrors,
  clientErrorHandler,
  errorHandler,
} from "../routes/error-route.js";

export default function buildRoutes(pg, skio) {
  const router = express.Router();
  // Special Routes
  router.use(vitals);
  router.all("/", (req, res) => res.redirect("/mcl"));

  // Middlewares

  // Routes
  router.use("/api/auth", authRoute);
  router.use("/api/system", systemRoute);
  router.use("/api/server", serverRoute);
  router.use("/api/files", filesRoute);
  router.use(["/mcl", "/mcl/*"], reactRoute); // Static Build Route
  /*router.use(logErrors);
  router.use(clientErrorHandler);
  router.use(errorHandler);*/

  return router;
}
