// Imports
import { ThemeProvider } from "@mui/material/styles";
import mclTheme from "./util/theme.js";
import { QueryClient, QueryClientProvider } from "@tanstack/react-query";
import { SettingsProvider } from "@mcl/settings";
import Viewport from "./nav/Viewport.jsx";
import { BrowserRouter } from "react-router-dom";
// Create a query client for the app
const queryClient = new QueryClient();
// Export Minecluster
export default function MCL() {
  return (
    <div className="minecluster">
      <QueryClientProvider client={queryClient}>
        <SettingsProvider>
          <ThemeProvider theme={mclTheme}>
            <BrowserRouter>
              <Viewport />
            </BrowserRouter>
          </ThemeProvider>
        </SettingsProvider>
      </QueryClientProvider>
    </div>
  );
}
