import ReactQuill from "react-quill";
import { useState, useEffect, useMemo, memo } from "react";
import "react-quill/dist/quill.snow.css";

const buildDelta = (t) => {
  if (!t) return;
  const ops = t.split("\n").map((l) => ({ insert: `${l}\n` }));
  return { ops };
};

function TextEditor(props) {
  const { text, onChange } = props;
  const [delta, setDelta] = useState();
  const constructDelta = useMemo(() => buildDelta(text), [text]);
  useEffect(() => setDelta(constructDelta), [text]);

  const onEditorChange = (c, d, s, editor) => onChange(editor.getText());

  return <ReactQuill theme="snow" value={delta} onChange={onEditorChange} />;
}
export default memo(TextEditor, (a, b) => a.text === b.text);
