import TextField from "@mui/material/TextField";
import MenuItem from "@mui/material/MenuItem";

const displayOption = (o) => o.charAt(0) + o.toLowerCase().slice(1);

export const serverTypeOptions = ["VANILLA", "FABRIC", "PAPER", "SPIGOT"];
export default function ServerTypeOption(props) {
  const { value, onChange } = props;
  return (
    <TextField
      label="Memory"
      onChange={onChange}
      value={value ?? serverTypeOptions[0]}
      select
      required
      SelectProps={{ MenuProps: { sx: { maxHeight: "20rem" } } }}
    >
      {serverTypeOptions.map((o, i) => (
        <MenuItem value={o} key={i}>
          {displayOption(o)}
        </MenuItem>
      ))}
    </TextField>
  );
}
