import TextField from "@mui/material/TextField";
import MenuItem from "@mui/material/MenuItem";

const maxStorageSupported = 80;
export const storageOptions = new Array(2 * maxStorageSupported)
  .fill(0)
  .map((v, i) => (i + 1) * 0.5);

export default function StorageOption(props) {
  const { value, onChange } = props;
  return (
    <TextField
      label="Storage"
      onChange={onChange}
      value={value ?? null}
      select
      required
      SelectProps={{ MenuProps: { sx: { maxHeight: "20rem" } } }}
    >
      <MenuItem value={0}>No Storage</MenuItem>
      {storageOptions.map((o, i) => (
        <MenuItem value={o} key={i}>{`${o} GB`}</MenuItem>
      ))}
    </TextField>
  );
}
