// Import React
import { Routes, Route, Navigate } from "react-router-dom";
import pages from "./MCLPages.jsx";

const defaultPage = pages[0].path;

export default function MCLPortal() {
  return (
    <Routes>
      <Route exact path="/mcl/" element={<Navigate to={defaultPage} />} />
      <Route exact path="/" element={<Navigate to={defaultPage} />} />
      {pages.map((p, i) => (
        <Route key={i} path={p.path} element={p.component} />
      ))}
      <Route path="*" element={<Navigate to="/" replace />} />
    </Routes>
  );
}
