import { useState, useEffect } from "react";
import { useSearchParams, useNavigate } from "react-router-dom";
import Box from "@mui/material/Box";
import FilePreview, {
  useFilePreview,
} from "@mcl/components/files/FilePreview.jsx";
import MineclusterFiles from "@mcl/components/files/MineclusterFiles.jsx";

export default function Files() {
  const [open, dialogToggle] = useFilePreview();
  const [previewData, setPreviewData] = useState();
  const [searchParams] = useSearchParams();
  const currentServer = searchParams.get("server");
  const nav = useNavigate();
  useEffect(() => {
    if (!currentServer) nav("/");
  }, [currentServer]);

  function changePreview(name, fileData, filePath) {
    setPreviewData({ name, fileData, filePath });
    dialogToggle();
  }

  return (
    <Box className="edit" sx={{ height: "100%" }}>
      <FilePreview
        server={currentServer}
        open={open}
        dialogToggle={dialogToggle}
        previewData={previewData}
      />
      <MineclusterFiles server={currentServer} changePreview={changePreview} />
    </Box>
  );
}
